FlowDrop Docs
API referencePlayground

Get message status

Retrieve only the status of a message (lightweight endpoint for polling). Useful for checking if message processing is complete without fetching full message data.

GET
/playground/sessions/{sessionId}/messages/{messageId}/status

Authorization

AuthorizationBearer <token>

JWT token for authentication

In: header

Path Parameters

sessionId*string

Playground session UUID

Formatuuid
messageId*string

Message UUID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/playground/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"
{  "success": true,  "message": "string",  "error": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "pending",    "sequenceNumber": 0,    "timestamp": "2019-08-24T14:15:22Z"  }}